Deprecation warnings with python 2.6.x

Bug #336669 reported by Andreas Hasenack on 2009-03-02
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Landscape Client
High
Christopher Armstrong
Landscape Server
Low
Unassigned
Twisted
Fix Released
Unknown
landscape-client (Ubuntu)
Undecided
Unassigned

Bug Description

jaunty recently upgraded to python 2.6.x. landscape-client is throwing these deprecation warnings:
root@ls3-jaunty:~# landscape-client
/usr/lib/python2.6/dist-packages/twisted/internet/_sslverify.py:5: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import itertools, md5
/usr/lib/python2.6/dist-packages/twisted/python/filepath.py:12: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha
2009-03-02 13:05:22,137 INFO [MainThread] Watchdog watching for daemons on 'system' bus.
/usr/lib/python2.6/dist-packages/twisted/persisted/sob.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, sys
/usr/lib/python2.6/dist-packages/twisted/python/filepath.py:12: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha
/usr/lib/python2.6/dist-packages/twisted/persisted/sob.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, sys
/usr/lib/python2.6/dist-packages/twisted/python/filepath.py:12: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha
/usr/lib/python2.6/dist-packages/twisted/persisted/sob.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, sys
/usr/lib/python2.6/dist-packages/twisted/python/filepath.py:12: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha

Changed in landscape-client:
importance: Undecided → Medium
Changed in landscape:
importance: Undecided → Medium
milestone: none → mountainview-pre-6
Changed in landscape:
importance: Medium → Low
Changed in landscape-client:
importance: Medium → Low
Thomas Herve (therve) on 2009-03-02
Changed in twisted:
status: New → Fix Committed
Changed in twisted:
importance: Undecided → Unknown
status: Fix Committed → Unknown
Changed in landscape:
milestone: mountainview-pre-6 → mountainview-pre-7
Changed in twisted:
status: Unknown → Fix Released
Changed in landscape:
milestone: mountainview-pre-7 → mountainview-pre-8
Changed in landscape-client:
milestone: none → 1.0.29
Changed in landscape:
milestone: mountainview-pre-8 → mountainview
Changed in landscape-client:
milestone: 1.0.29 → 1.0.30
Andreas Hasenack (ahasenack) wrote :

Let's try to decouple server bugs from client ones.

Changed in landscape:
status: New → Invalid
Changed in landscape-client:
assignee: nobody → Christopher Armstrong (radix)
importance: Low → High
status: New → In Progress
Thomas Herve (therve) wrote :

+1, in particular if you use simplefilter instead of filterwarnings.

Duncan McGreggor (oubiwann) wrote :

+1

Some side notes:

There's a deprecation message printing in the output:

  TwistedReactorTest
    test_call_every ...
/home/oubiwann/lab/Canonical/Landscape/team/radix/no-warnings/landscape/reactor.py:336: exceptions.DeprecationWarning: reactor.crash cannot be used inside unit tests. By Twisted 2.7, using crash will fail the test and may crash or hang the test run.

And then at the end, after is says "PASSED" is says:

Error in sys.exitfunc:

Christopher Armstrong (radix) wrote :

Merged to trunk, thanks guys

Changed in landscape-client:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.0.29-0ubuntu0.9.04.0

---------------
landscape-client (1.0.29-0ubuntu0.9.04.0) jaunty; urgency=low

  * New upstream bugfix release (LP: #358744)
    - Add a timeout to HTTP operations to avoid hanging (LP: #349737)
    - Clean up environment variables on startup to avoid propagating
      variables that will corrupt package installation (LP: #348681)
    - Clean up FDs on startup for the same reason (LP: #352458)
    - Catch and handle certain errors from smart (such as invalid package
      data) to avoid "stuck" Landscape activities (LP: #268745)
    - Don't print warnings meant for developers to the console (LP: #336669)

 -- Christopher Armstrong <email address hidden> Thu, 09 Apr 2009 17:09:50 -0400

Changed in landscape-client (Ubuntu):
status: New → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.